import { ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../../../../services/model.service";
import { StiMouseService } from "../../../../../services/mouse.service";
import { StiEditorProperty } from "../../../../../services/objects";
import { StiColumnDraggableService } from "../../../../../services/sti-column-draggable.service";
import { StiHelperService } from "../../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../../services/theme.service";
import * as i0 from "@angular/core";
export declare class StiTableColumnsEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    draggableService: StiColumnDraggableService;
    mouseService?: StiMouseService;
    overIndex: any;
    property: StiEditorProperty;
    booleanButton: ElementRef;
    getMaxWidth(): number;
    arrayOfStates: any[];
    widthDifference: number;
    minWidth: number;
    isDrag: boolean;
    get disabled(): boolean;
    draggableItem: number;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService, draggableService: StiColumnDraggableService, mouseService?: StiMouseService);
    ngOnInit(): void;
    get items(): any[];
    onHeaderClick(event: MouseEvent, item: any): void;
    refreshState(index: any): void;
    changeState(i: any): void;
    addItem(event: any, element: any): void;
    deleteItem(i: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTableColumnsEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTableColumnsEditorComponent, "sti-table-columns-editor", never, { "property": { "alias": "property"; "required": false; }; }, {}, never, never, false, never>;
}
